import { Sequence } from 'gensequence';
export interface ReaderOptions {
    maxDepth?: number;
}
export declare type AnnotatedWord = string;
export interface Reader {
    size: number;
    [Symbol.iterator]: () => Sequence<string>;
    annotatedWords: () => Sequence<AnnotatedWord>;
}
export declare function createReader(filename: string, options: ReaderOptions): Promise<Reader>;
export declare function createArrayReader(lines: string[]): Reader;
export declare function readHunspellFiles(filename: string, options: ReaderOptions): Promise<Reader>;
