import { Sequence } from 'gensequence';
import * as Trie from 'cspell-trie-lib';
export declare type Logger = (message?: any, ...optionalParams: any[]) => void;
export declare function setLogger(logger?: Logger): void;
export declare function normalizeWords(lines: Sequence<string>): Sequence<string>;
export declare function lineToWords(line: string): Sequence<string>;
interface CompileWordListOptions {
    splitWords: boolean;
    sort: boolean;
}
export declare function compileWordList(words: Sequence<string>, destFilename: string, options: CompileWordListOptions): Promise<void>;
export declare function normalizeWordsToTrie(words: Sequence<string>): Trie.TrieNode;
export interface CompileTrieOptions {
    base?: number;
    trie3?: boolean;
}
export declare const consolidate: typeof Trie.consolidate;
export declare function compileTrie(words: Sequence<string>, destFilename: string, options: CompileTrieOptions): Promise<void>;
export {};
